Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.dynamicconfig.api
Interface PluginParameterMeta.Type

Enclosing interface:
  PluginParameterMeta

    public static interface PluginParameterMeta.Type

Supported parameter types. The types are used to specify the data type of the parameter values. They may also be used provide hints to configuration clients about the type of input widgets or fields to use to accept the parameter value. For example, the type `STRING` specifies that the parameter value must be a string whereas the type `PASSWORD` specifies that the parameter value must be a string and could be used as a hint to the configuration client to show a field/prompt appropriate for a password field.

Field Summary
`static String` | `ANTENNA` Type representing antennae of devices.
`static String` | `BOOLEAN` Type for boolean values.
`static String` | `LABEL` Type for a configuration parameter that does not have a value.
`static String` | `NUMERIC` Type for numeric values.
`static String` | `PASSWORD` This is also a string parameter.
`static String` | `STRING` Type for simple string parameters.

Field Detail

### STRING

    static final String STRING

  Type for simple string parameters.

  See Also:
    Constant Field Values

### PASSWORD

    static final String PASSWORD

  This is also a string parameter. This in addition indicates that this is a sensitive password-like field and may be used by client applications to show special prompts or otherwise hide the data.

  See Also:
    Constant Field Values

### NUMERIC

    static final String NUMERIC

  Type for numeric values. This type does not allow decimal values.

  See Also:
    Constant Field Values

### BOOLEAN

    static final String BOOLEAN

  Type for boolean values.

  See Also:
    Constant Field Values

### LABEL

    static final String LABEL

  Type for a configuration parameter that does not have a value. It may have children.

  See Also:
    Constant Field Values

### ANTENNA

    static final String ANTENNA

  Type representing antennae of devices.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD